import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL, VITE_WORKORDER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

const newApi = VITE_WORKORDER_REAL;
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  message?: string;
}

// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${newApi}/cxinv/trade/poollist`, { data });
};

//审核状态
export const httpStatus = (data: any): any => {
  return http.request("post", `${newApi}/cxinv/trade/PoolStatus`, { data });
};

// 详情
export const httpDetail = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}tradeloginfo`, { data });
};
