import { ModalConfig } from "../../../../components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "客户",
  itemStyle: {},
  formItems: [
    {
      field: "companyNo",
      type: "input",
      label: "客户编码",
      labelWidth: "120px"
    },
    {
      field: "companyName",
      labelWidth: "120px",
      label: "客户名称",
      type: "input"
    },
    {
      labelWidth: "120px",
      field: "parent",
      label: "归属集团",
      type: "input"
    },
    {
      labelWidth: "120px",
      field: "contactor",
      label: "联系人",
      type: "input"
    },
    {
      field: "createTime",
      type: "input",
      labelWidth: "120px",
      label: "创建时间"
    }
  ]
};

export default modalConfig;
