import { FormConfig } from "/@/components/PageSearch";
import { invoiceStatusOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [ 
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },
    {
      field: 'invoice_number',
      placeholder: '发票号码',
      type: 'input'
    }
  ]
};

export default searchFormConfig;
