import { FormConfig } from "/@/components/PageSearch";
import { checkTypeOptions, orderTypeCgOptions, invoiceStatusOptions } from "/@/utils/status";
// import { checkTypeOptions, invTypeOptions, statusOptions } from "./_opitons";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: invoiceStatusOptions
    },
    {
      field: 'invoice_number',
      placeholder: '发票号码',
      type: 'input'
    },
    {
      field: "companyNo",
      type: "business-query"
    }
   ]
};

export default searchFormConfig;
